package com.casic.PgInterface.construction.dto;

import com.casic.PgInterface.construction.domain.PgConRemoveMsg;

import java.util.ArrayList;
import java.util.List;

public class PgConRemoveMsgDto {

    private String XD_DATE;
    private String XD_END_TIME;
    private String XD_SUPERVISOR;
    private String XD_FIELD_SITUATION;
    private String XD_REMARKS;
    private String XD_APPROVER;
    private String XD_APPROVER_TIME;
    private String LOG_DATE;

    public String getXD_DATE() {
        return XD_DATE;
    }

    public void setXD_DATE(String XD_DATE) {
        this.XD_DATE = XD_DATE;
    }

    public String getXD_END_TIME() {
        return XD_END_TIME;
    }

    public void setXD_END_TIME(String XD_END_TIME) {
        this.XD_END_TIME = XD_END_TIME;
    }

    public String getXD_SUPERVISOR() {
        return XD_SUPERVISOR;
    }

    public void setXD_SUPERVISOR(String XD_SUPERVISOR) {
        this.XD_SUPERVISOR = XD_SUPERVISOR;
    }

    public String getXD_FIELD_SITUATION() {
        return XD_FIELD_SITUATION;
    }

    public void setXD_FIELD_SITUATION(String XD_FIELD_SITUATION) {
        this.XD_FIELD_SITUATION = XD_FIELD_SITUATION;
    }

    public String getXD_REMARKS() {
        return XD_REMARKS;
    }

    public void setXD_REMARKS(String XD_REMARKS) {
        this.XD_REMARKS = XD_REMARKS;
    }

    public String getXD_APPROVER() {
        return XD_APPROVER;
    }

    public void setXD_APPROVER(String XD_APPROVER) {
        this.XD_APPROVER = XD_APPROVER;
    }

    public String getXD_APPROVER_TIME() {
        return XD_APPROVER_TIME;
    }

    public void setXD_APPROVER_TIME(String XD_APPROVER_TIME) {
        this.XD_APPROVER_TIME = XD_APPROVER_TIME;
    }

    public String getLOG_DATE() {
        return LOG_DATE;
    }

    public void setLOG_DATE(String LOG_DATE) {
        this.LOG_DATE = LOG_DATE;
    }

    public static PgConRemoveMsgDto getPgConRemoveMsgDto(PgConRemoveMsg pgConRemoveMsg){

        PgConRemoveMsgDto pgConRemoveMsgDto=new PgConRemoveMsgDto();
        pgConRemoveMsgDto.setXD_DATE(pgConRemoveMsg.getXD_DATE());
        pgConRemoveMsgDto.setXD_END_TIME(pgConRemoveMsg.getXD_END_TIME());
        pgConRemoveMsgDto.setXD_SUPERVISOR(pgConRemoveMsg.getXD_SUPERVISOR());
        pgConRemoveMsgDto.setXD_FIELD_SITUATION(pgConRemoveMsg.getXD_FIELD_SITUATION());
        pgConRemoveMsgDto.setXD_REMARKS(pgConRemoveMsg.getXD_REMARKS());
        pgConRemoveMsgDto.setXD_APPROVER(pgConRemoveMsg.getXD_APPROVER());
        pgConRemoveMsgDto.setXD_APPROVER_TIME(pgConRemoveMsg.getXD_APPROVER_TIME());
        pgConRemoveMsgDto.setLOG_DATE(pgConRemoveMsg.getLOG_DATE());

        return pgConRemoveMsgDto;
    }

    public static List<PgConRemoveMsgDto> getPgConRemoveMsgDtoList(List<PgConRemoveMsg> pgConRemoveMsgList){

        List<PgConRemoveMsgDto> pgConRemoveMsgDtoList=new ArrayList<>();

        for(PgConRemoveMsg pgConRemoveMsg:pgConRemoveMsgList){
            pgConRemoveMsgDtoList.add(getPgConRemoveMsgDto(pgConRemoveMsg));
        }

        return pgConRemoveMsgDtoList;
    }
}
